Boost.Sort

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
rightshiftsample.cpp File Reference

Integer sort with a rightshift functor sorting example. More...

`#include <boost/sort/spreadsort/spreadsort.hpp>`
`#include <time.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <algorithm>`
`#include <vector>`
`#include <string>`
`#include <fstream>`
`#include <iostream>`

## Classes
struct | rightshift

## Macros
#define | DATA_TYPE int

## Functions
int | main (int argc, const char **argv)

## Detailed Description

Integer sort with a rightshift functor sorting example.

## Macro Definition Documentation

#define DATA_TYPE int

## Function Documentation

int main | ( | int | argc,
|  | const char ** | argv
| ) |  |